<?php
/*
Plugin Name: Simple Post Series with SEO!
Plugin URI: http://www.MakerBlock.com
Description: Super simple post series organization
Version: 1.4
Date: 01-27-2012
Author: MakerBlock
Author URI: http://www.makerblock.com
**************************************************************
*/
//	Initialize Plugin
	add_filter('the_content', 'mbk_simple_series');
	add_filter('the_content_feed', 'mbk_simple_series');

//	Main Plugin Function
function mbk_simple_series($content)
	{ add_shortcode('simple_series', 'mbk_simple_series_shortcode'); return $content; }	//	Create Shortcode

//	Shortcode Function
function mbk_simple_series_shortcode($atts) 
	{
	extract(shortcode_atts(array( 'title' => '', 'renameall' => '', 'delete' => ''), $atts));	//	Pulls the variables from the shortcode
	//	1. We need to find the current post ID
		global $wp_query, $wpdb;
			$postID = $wp_query->post->ID;
	//	2. We need to assign a post-meta for this post
		update_post_meta($postID, 'mbk_simple_series', $title);
	//	3. Find ALL posts with that same post-meta tag, sorted by the publish date
		$querystr = "
			SELECT $wpdb->posts.* 
			FROM $wpdb->posts, $wpdb->postmeta
			WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id 
			AND $wpdb->postmeta.meta_key = 'mbk_simple_series' 
			AND $wpdb->postmeta.meta_value = '$title' 
			AND $wpdb->posts.post_status = 'publish' 
			AND $wpdb->posts.post_type = 'post'
			AND $wpdb->posts.post_date < NOW()
			ORDER BY $wpdb->posts.post_date ASC";
		$pageposts = $wpdb->get_results($querystr, OBJECT);
	//	4. Create the title for the series
		$text = "<div id='mbk_simple_series_wrapper'><span id='mbk_simple_series_title'>$title</span><ol>";
	//	4. Create an OL list for the posts - appended to the end of the post
		for ($i=0; $i<count($pageposts);$i++)
			{ $text .= "<li class='mbk_simple_series_list_item'><a href='". get_permalink($pageposts[$i]->ID) ."' title='". $pageposts[$i]->post_title ."'>". $pageposts[$i]->post_title ."</a></li>"; }
		$text .= "</ol></div>";
	//	5. Does the user want to delete the post from the series?
		if ($delete == "true")
			{  delete_post_meta($postID, "mbk_simple_series"); $text = ""; }
	//	6. Return the series!
	return $text;
	}
?>